fop 1.1

## org.apache.fop.events
Interface EventExceptionManager.ExceptionFactory

All Known Implementing Classes:
  LayoutException.LayoutExceptionFactory, PageProductionException.PageProductionExceptionFactory, PropertyExceptionFactory, UnsupportedOperationExceptionFactory, ValidationExceptionFactory

Enclosing class:
  EventExceptionManager

    public static interface EventExceptionManager.ExceptionFactory

This interface is implementation by exception factories that can create exceptions from events.

Method Summary
`java.lang.Throwable` `createException(Event event)` Creates an exception from an event.
`java.lang.Class<? extends java.lang.Exception>` `getExceptionClass()` Returns the `Exception` class created by this factory.

Method Detail

### createException

    java.lang.Throwable createException(Event event)

  Creates an exception from an event.

  Parameters:
    `event` - the event
  Returns:
    the newly created exception

### getExceptionClass

    java.lang.Class<? extends java.lang.Exception> getExceptionClass()

  Returns the `Exception` class created by this factory.

  Returns:
    the exception class

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.